Oracle Linux 4 : xorg-x11 (ELSA-2008-0503)

High Nessus Plugin ID 67701


The remote Oracle Linux host is missing one or more security updates.


From Red Hat Security Advisory 2008:0503 :

Updated xorg-x11 packages that fix several security issues are now available for Red Hat Enterprise Linux 4.

This update has been rated as having important security impact by the Red Hat Security Response Team.

The xorg-x11 packages contain X.Org, an open source implementation of the X Window System. It provides the basic low-level functionality that full-fledged graphical user interfaces are designed upon.

An input validation flaw was discovered in's Security and Record extensions. A malicious authorized client could exploit this issue to cause a denial of service (crash) or, potentially, execute arbitrary code with root privileges on the X.Org server. (CVE-2008-1377)

Multiple integer overflow flaws were found in's Render extension. A malicious authorized client could exploit these issues to cause a denial of service (crash) or, potentially, execute arbitrary code with root privileges on the X.Org server. (CVE-2008-2360, CVE-2008-2361)

An input validation flaw was discovered in's MIT-SHM extension.
A client connected to the server could read arbitrary server memory. This could result in the sensitive data of other users of the server being disclosed. (CVE-2008-1379)

Users of xorg-x11 should upgrade to these updated packages, which contain backported patches to resolve these issues.


Update the affected xorg-x11 packages.

See Also

Plugin Details

Severity: High

ID: 67701

File Name: oraclelinux_ELSA-2008-0503.nasl

Version: $Revision: 1.5 $

Type: local

Agent: unix

Published: 2013/07/12

Modified: 2015/12/01

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 9

Temporal Score: 7.8

Vector: CVSS2#AV:N/AC:L/Au:S/C:C/I:C/A:C

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:oracle:linux:xorg-x11, p-cpe:/a:oracle:linux:xorg-x11-Mesa-libGL, p-cpe:/a:oracle:linux:xorg-x11-Mesa-libGLU, p-cpe:/a:oracle:linux:xorg-x11-Xdmx, p-cpe:/a:oracle:linux:xorg-x11-Xnest, p-cpe:/a:oracle:linux:xorg-x11-Xvfb, p-cpe:/a:oracle:linux:xorg-x11-deprecated-libs, p-cpe:/a:oracle:linux:xorg-x11-deprecated-libs-devel, p-cpe:/a:oracle:linux:xorg-x11-devel, p-cpe:/a:oracle:linux:xorg-x11-doc, p-cpe:/a:oracle:linux:xorg-x11-font-utils, p-cpe:/a:oracle:linux:xorg-x11-libs, p-cpe:/a:oracle:linux:xorg-x11-sdk, p-cpe:/a:oracle:linux:xorg-x11-tools, p-cpe:/a:oracle:linux:xorg-x11-twm, p-cpe:/a:oracle:linux:xorg-x11-xauth, p-cpe:/a:oracle:linux:xorg-x11-xdm, p-cpe:/a:oracle:linux:xorg-x11-xfs, cpe:/o:oracle:linux:4

Required KB Items: Host/local_checks_enabled, Host/OracleLinux, Host/RedHat/release, Host/RedHat/rpm-list

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2008/06/12

Reference Information

CVE: CVE-2008-1377, CVE-2008-1379, CVE-2008-2360, CVE-2008-2361

BID: 29665, 29666, 29668, 29669

RHSA: 2008:0503

CWE: 189